Eclipse Rich Ajax Platform

## org.eclipse.rwt.lifecycle
Class PhaseListenerUtil

    java.lang.Object
      org.eclipse.rwt.lifecycle.PhaseListenerUtil

    public class PhaseListenerUtil

extends java.lang.Object

Utility class that helps to avoid redundant implementations of asking for the lifecycle phase of a given event.

Since:
  1.4
See Also:
  `ILifeCycle`, `PhaseListener`, `PhaseEvent`, `PhaseId`

Method Summary
`static boolean` `isPrepareUIRoot(PhaseEvent event)` Checks whether the given event was thrown in the prepare UI root lifecycle phase.
`static boolean` `isProcessAction(PhaseEvent event)` Checks whether the given event was thrown in the process action lifecycle phase.
`static boolean` `isReadData(PhaseEvent event)` Checks whether the given event was thrown in the read data lifecycle phase.
`static boolean` `isRender(PhaseEvent event)` Checks whether the given event was thrown in the render lifecycle phase.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isReadData

    public static boolean isReadData(PhaseEvent event)

  Checks whether the given event was thrown in the read data lifecycle phase.

  Returns:
    true if the givent event was thrown in the read data lifecycle phase, false otherwise.

### isProcessAction

    public static boolean isProcessAction(PhaseEvent event)

  Checks whether the given event was thrown in the process action lifecycle phase.

  Returns:
    true if the givent event was thrown in the process action lifecycle phase, false otherwise.

### isRender

    public static boolean isRender(PhaseEvent event)

  Checks whether the given event was thrown in the render lifecycle phase.

  Returns:
    true if the givent event was thrown in the render lifecycle phase, false otherwise.

### isPrepareUIRoot

    public static boolean isPrepareUIRoot(PhaseEvent event)

  Checks whether the given event was thrown in the prepare UI root lifecycle phase.

  Returns:
    true if the givent event was thrown in the prepare UI root lifecycle phase, false otherwise.

Eclipse Rich Ajax Platform

Copyright (c) EclipseSource and others 2002, 2012. All rights reserved.